NeXT Computers Forum Index NeXT Computers
www.NeXTComputers.org
 
Log in to check your private messagesLog in to check your private messages

Log inLog in  RegisterRegister


Profile  Search  Memberlist  FAQ  Usergroups
Mac OS Server 1.2 on an eMac?

 
Post new topic   Reply to topic    NeXT Computers Forum Index -> Rhapsody
View previous topic :: View next topic  
Author Message
roo



Joined: 08 Oct 2009
Posts: 9
Location: Buckinghamshire, UK

PostPosted: Fri Oct 09, 2009 1:56 pm    Post subject: Mac OS Server 1.2 on an eMac? Reply with quote

Hello all,

I'm a newbie on these forums - my name's Roo and I'm in the UK.

I have a Server 1.2 disc that I bought on eBay years ago which I used to run on an AGP PowerMac G4 I had at the time.

Having checked rhapsodyos.org and Apple's Server 1.2 system requirements I figured I could get an eMac and dual boot it with Server 1.2 and Tiger (and maybe some other OSes too).

However, when I try and boot form the Server 1.2 CD I get a bomb with "unimplemented trap" as it tries to load OS 9.

Does anyone have any ideas? Has anyone successfully installed 1.2 on an eMac and if so, how? Is Apple's page wrong and I actually need 1.2v3?

What's also rather odd is that id doesn't want to boot into Mac OS 9.2.2 that's already on the hard drive - I get a flashing question mark over a floppy icon.

It's also spitting out DVDs from the combo drive (e.g. the Panther-based CD from my 12" PowerBook, and a Leopard disc from my Mac mini).

I did read somewhere that to boot from CD the combo drive needs to be slave or master and not cable-select, so perhaps this is it.

Any help would be greatly appreciated!

Thanks,

Roo
Back to top
View user's profile Send private message
RacerX



Joined: 03 Jan 2006
Posts: 333
Location: Twin Cities, MN

PostPosted: Fri Oct 09, 2009 11:32 pm    Post subject: Reply with quote

Well, one has to remember that originally eMacs were sold exclusively to the education market... and it was those early eMacs that Apple extended support to for Mac OS X Server 1.2 and 1.2v3 (mainly for using them as NetBoot servers in classrooms). Those systems generally shipped with CD-ROM drives.

If your system isn't booting into Mac OS 9, then you might have one of the later Mac OS X only models.

Can you give us more information about the eMac you are using. Model number would be helpful. The original specifications of the system should be on the optical drives door (on the inside), that might also be helpful.

If I'm recalling the specs correctly, I think that only the 700 MHz models were supported (though I can't think of any reason the 800 MHz model wouldn't have been as well). Any of the faster (later) systems wouldn't be likely to work with Mac OS X Server 1.2 or 1.2v3.

As for attempts... no, I haven't tried. I've set up a number of eMacs with Server 10.2.8, but those were 1.0 GHz systems that weren't going to work with either Mac OS X Server 1.2 or 1.2v3. A couple of my clients might be out growing their 700 MHz eMacs in the coming year, so I might have one soon that I can experiment with.
_________________
Rhapsody Resource Page
Back to top
View user's profile Send private message Visit poster's website
roo



Joined: 08 Oct 2009
Posts: 9
Location: Buckinghamshire, UK

PostPosted: Tue Oct 13, 2009 3:26 pm    Post subject: Reply with quote

Well I spent most of the weekend tinkering Smile I've checked the specs on the eMac I have - it is an original 700 MHz machine.

Inability to boot into OS 9 was due to a distinct lack of OS 9 drivers on the hard drive, so I reformatted with them enabled and now I have 9.2.2 up and running.

It seems the "unimplemented trap" error is likely to be that the Rhapsody CD has OS 9.0 installed and the eMac's minimum is 9.2.2 - the Mac OS on the CD is just too old. So booting from the hard drive into 9.2.2 means I can run the Rhapsody installer on the CD and select the partition (first one, 6 GB in size) to be used.

However now the first reboot won't work. I confirmed in System Disk and Open Firmware that it's definitely trying to boot from the UFS partition of the CD, but it fails and ends up booting off the hard drive again.

I wondered if BootX on the other HFS volume on the CD was to blame so I opened it in TextEdit to find the list of supported machines (PowerMac1,2 etc.). The eMac is PowerMac4,4! Is this the list that the installer refers to when it tells you you have unsupported hardware? Does it check it again when it reboots after the Mac OS 9 installer?

Or could it be the keyboard I'm using? Found this page which would suggest that I might need a 1999-era iMac-style keyboard. Fortunately I can borrow one from my parents at the weekend from their iMac DV SE (formerly mine!).

Then after that I may have to take it apart as I also read that System Disk won't work on an ATA drive set to slave, so I probably ought to check that too.
Back to top
View user's profile Send private message
roo



Joined: 08 Oct 2009
Posts: 9
Location: Buckinghamshire, UK

PostPosted: Wed Oct 21, 2009 3:50 pm    Post subject: Reply with quote

Another weekend of tinkering to no avail. The original iMac DV keyboard and puck mouse didn't help and I confirmed in System Profiler that both the hard and optical drives are set to master.

So the only other thing I can think might be a problem is the combo drive rather than CD-ROM, although it is the Apple original part.

I think perhaps Apple's specs are wrong and that only Server 1.2v3 works on an original eMac. My Server 1.2 disc is certainly a no-go so far and I've tried pretty much everything.
Back to top
View user's profile Send private message
neozeed



Joined: 15 Apr 2006
Posts: 691
Location: Hong Kong

PostPosted: Sun Oct 25, 2009 9:08 am    Post subject: Reply with quote

Can you install 1.0 on another mac, and update the disk all the way & put it in the emac?

I remember at the time having an imac (333Mhz coloured one with 128mb of ram) and LOVING osx 1.0 so I bought a G4 AGP (sawtooth?) when it came out to shockingly find out that os x 1.0 didn't run on it... Then I did get the 1.2 update but it wasn't bootable... I ended up sitting on my osx server until the 10.0 public beta was announced... It was so great to be back in OSX glory although it as SLOW AS HELL....

But as a reminder of how much I paid for it, I still have my osx 1.0 stuff...
_________________
# include <wittycomment.h>
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:   
Post new topic   Reply to topic    NeXT Computers Forum Index -> Rhapsody All times are GMT - 7 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum



Powered by phpBB © 2017 phpBB Group